unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, EasyReg, Buttons, Spin, ExtCtrls;

type
  TForm1 = class(TForm)
    EasyReg: TEasyReg;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    ReadString: TEdit;
    Label2: TLabel;
    WriteString: TEdit;
    GroupBox2: TGroupBox;
    Label3: TLabel;
    Label4: TLabel;
    WriteInteger: TSpinEdit;
    ReadInteger: TSpinEdit;
    StringWriteBtn: TSpeedButton;
    StringReadBtn: TSpeedButton;
    IntegerWriteBtn: TSpeedButton;
    IntegerReadBtn: TSpeedButton;
    Edit4: TEdit;
    Label5: TLabel;
    Label6: TLabel;
    Edit5: TEdit;
    GroupBox3: TGroupBox;
    Label7: TLabel;
    Edit6: TEdit;
    Label8: TLabel;
    Label9: TLabel;
    Panel1: TPanel;
    ReadTrue: TRadioButton;
    ReadFalse: TRadioButton;
    Panel2: TPanel;
    WriteTrue: TRadioButton;
    WriteFalse: TRadioButton;
    BooleanWriteBtn: TSpeedButton;
    BooleanReadBtn: TSpeedButton;
    GroupBox4: TGroupBox;
    Key: TEdit;
    KeyBtn: TSpeedButton;
    GroupBox5: TGroupBox;
    ValueBtn: TSpeedButton;
    Value: TEdit;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    procedure DoAction(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.DoAction(Sender: TObject);
var
  tmp: Boolean;
begin
 try
  if Sender = StringWriteBtn then
    EasyReg.WriteString(Edit4.Text, WriteString.Text);
  if Sender = StringReadBtn then
    ReadString.Text := EasyReg.ReadString(Edit4.Text);
  if Sender = IntegerWriteBtn then
    EasyReg.WriteInteger(Edit5.Text, WriteInteger.Value);
  if Sender = IntegerReadBtn then
    ReadInteger.Value := EasyReg.ReadInteger(Edit5.Text);
  if Sender = BooleanWriteBtn then
    begin
      if WriteTrue.Checked then tmp := True else
      if WriteFalse.Checked then tmp := False;
      EasyReg.WriteBoolean(Edit6.Text, tmp);
    end;
  if Sender = BooleanReadBtn then
    begin
      tmp := EasyReg.ReadBoolean(Edit6.Text);
      case tmp of
        True: ReadTrue.Checked := True;
        False: ReadFalse.Checked := True;
      end;
    end;
  if Sender = KeyBtn then
    if EasyReg.KeyExists(Value.Text) then ShowMessage('Key: '+Value.Text+' Does Exist') else
      ShowMessage('Key: '+Value.Text+' Does Not Exist');
  if Sender = ValueBtn then
    if EasyReg.ValueExists(Key.Text) then ShowMessage('Value: '+Key.Text+' Does Exist') else
      ShowMessage('Value: '+Key.Text+' Does Not Exist');
  Except
    On E:TEasyRegException do ShowMessage('Error: '+E.Message);
   end;
end;

end.
